ModAPI.meta.title("Slippery mod"); //Set title
ModAPI.meta.credits("By radmanplays"); //Set creator
ModAPI.meta.icon("data:image/png;base64,[encoded data, 46004 characters]"); //Load embedded image as icon
ModAPI.meta.description("Increases the slipperiness of every block."); //Set Description

ModAPI.dedicatedServer.appendCode(()=>{ //Add version of the code to the dedicated server (for singleplayer)
   ModAPI.addEventListener("serverstart", () => { //When the server starts and loads the blocks
      var blockKeys = Object.keys(ModAPI.blocks); //Get keys (identifiers) of all the blocks.
      blockKeys.forEach(key=>{ //Loop through all the identifiers
         if(ModAPI?.blocks?.[key]?.slipperiness) {// TeaVM likes to add metadata properties which are `null` or `undefined`
            ModAPI.blocks[key].slipperiness = 0.98; //Ice slipperiness value.
         }
      });
   });
});
var blockKeys = Object.keys(ModAPI.blocks); //Get keys (identifiers) of all the blocks.
blockKeys.forEach(key=>{ //Loop through all the identifiers
   if(ModAPI?.blocks?.[key]?.slipperiness) {// TeaVM likes to add metadata properties which are `null` or `undefined`
      ModAPI.blocks[key].slipperiness = 0.98; //Ice slipperiness value.
   }
});
